/* 	
TODO: coloração dos strong dos titulos
*/

:root {
	--clr-vermelho: #7a1010;
	--clr-cinza-01: #413b3d;
	--clr-f9f9f9: #f9f9f9;

	--clr-preto: #1e1e1e;
	--clr-branco: #ffffff;

	--clr-background: #ffffff;
	--clr-texto: #8d8d8d;
	--clr-destaque: #413b3d;

	--font-family: "Inter", system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", "Helvetica Neue", Arial, sans-serif;
}

* {
	box-sizing: border-box;
	padding: 0;
	margin: 0;
	scroll-behavior: smooth;
	word-wrap: normal;
}

body,
html {
	background-color: var(--clr-background);
	font-family: var(--font-family);
	color: var(--clr-texto);
	font-display: optional;
	size-adjust: 150%;
	scroll-behavior: smooth;
	overflow-x: hidden;
}

img {
	width: auto;
	max-width: 100%;
	height: auto;
	object-fit: contain;
}

a {
	text-decoration: none;
}

/* Logotipo */
.logo {
	width: 200px;
	height: auto;
	object-fit: contain;
	filter: brightness(0) invert(1);
}

/* Titulos */

h2 {
	color: var(--clr-vermelho);
	font-weight: 600;

	strong {
		color: var(--clr-vermelho);
		font-weight: 800;
	}
}

/* navbar */
nav {
	background-color: var(--clr-vermelho);
}
.nav-link,
.nav-link.active {
	color: var(--clr-branco);
	font-size: 16px;
	font-weight: 400;
}

.nav-link:hover{
	color: #8d8d8d;
	transform: translateY(2px);
}

.dropdown-item:active{
	background-color: var(--clr-vermelho);
	color: var(--clr-branco);
}

.orcamentoBtn-menu{
    border: 2px solid #FFF;
}

/* WHATSAPP ICONE*/

.floatWpp {
    background: #1FAF38;
    position: fixed;
    bottom: 20px;
    right: 30px;
    padding: 12px 15px;
    border-radius: 100px;
    box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
	z-index: 1;
}

.floatWpp a {
    color: #ffffff;
    padding: 5px;
    font-size: 20px;
}

.floatWpp:hover {
    background: #428b48;
    box-shadow: rgba(0, 0, 0, 0.02) 0px 1px 3px 0px, rgba(27, 31, 35, 0.15) 0px 0px 0px 1px;
    transition: all .5s ease;
}

/* FOOTER */
footer {
	background-color: #d9d9d9;

	a {
		color: #828282;
	}

	strong {
		color: var(--clr-destaque);
	}
	span {
		font-weight: 600;
	}

	ul {
		list-style: none;
	}
	li {
		margin: 0.5rem 0;
	}
	img{
	    max-width: 300px;
	}
}

@media (max-width: 1024px){
	.email{
		font-size: 14px;
	}
}


.agmd:hover{
	text-decoration: underline;
}	


/* HERO */

.hero{

	background-size: cover;
	background-repeat: no-repeat;
	height: 600px;

	h1{
		color: var(--clr-branco);
		margin-bottom: 20px;
	}

	a{
		color: var(--clr-branco);
		border: 1px solid var(--clr-branco);
		padding: 5px 10px;
	}
}

@media (max-width: 1360px){

	.hero{

		height: 400px;

		h1{
			font-size: large;
		}

		a{
			font-size: medium;
		}
	}

	.hero-armazenagem, .hero-transporte, .hero-distribuicao, .hero-logistica{
		h1{
			font-size: xx-large;
		}
	}

}

@media (max-width: 990px){

	.hero{

		height: 300px;

		h1{
			font-size: large;
			margin-bottom: 10px;
		}

		a{
			font-size: small;
			padding: 2.5px 5px;
		}
	}

	.hero-armazenagem, .hero-transporte, .hero-distribuicao, .hero-logistica{
		h1{
			font-size: x-large;
		}
	}

}

@media (max-width: 690px){

	.hero{

		height: 200px;

		h1{
			font-size: small;
			margin-bottom: 2px;
		}

		a{
			font-size: x-small;
			padding: 2.5px 5px;
		}
	}

	.hero-armazenagem, .hero-transporte, .hero-distribuicao, .hero-logistica{
		h1{
			font-size: large;
		}
	}

}

.hero-home{
	background-image: linear-gradient(98deg,rgba(0, 0, 0, 0.93) 0%, rgba(0, 0, 0, 0.85) 19%, rgba(0, 0, 0, 0.63) 38%, rgba(247, 247, 247, 0) 61%), url(../img/banner-topo.webp);
}

@media (max-width:490px){
	.hero-home{
		background-position: center;
	}
}

.hero-quemsomos{
	background-image: linear-gradient(98deg,rgba(0, 0, 0, 0.93) 0%, rgba(0, 0, 0, 0.85) 19%, rgba(0, 0, 0, 0.63) 38%, rgba(247, 247, 247, 0) 67%), url(../img/banner-topo-quemsomos2.webp);
	background-position: center;
}

.hero-transporte{
	background-image: linear-gradient(98deg,rgba(0, 0, 0, 0.93) 0%, rgba(0, 0, 0, 0.85) 19%, rgba(0, 0, 0, 0.63) 38%, rgba(247, 247, 247, 0) 67%), url(../img/banner-topo-cargas.webp);
	background-position: center;
}

.hero-logistica{
	background-image: linear-gradient(98deg,rgba(0, 0, 0, 0.93) 0%, rgba(0, 0, 0, 0.85) 19%, rgba(0, 0, 0, 0.63) 38%, rgba(247, 247, 247, 0) 67%), url(../img/banner-topo-logistica.webp);
	background-position: center;
}

.hero-armazenagem{
	background-image: linear-gradient(98deg,rgba(0, 0, 0, 0.93) 0%, rgba(0, 0, 0, 0.85) 19%, rgba(0, 0, 0, 0.63) 38%, rgba(247, 247, 247, 0) 67%), url(../img/banner-topo-armazenagem.webp);
	background-position: center;
}

.hero-distribuicao{
	background-image: linear-gradient(98deg,rgba(0, 0, 0, 0.93) 0%, rgba(0, 0, 0, 0.85) 19%, rgba(0, 0, 0, 0.63) 38%, rgba(247, 247, 247, 0) 67%), url(../img/banner-topo-transporte.webp);
	background-position: center;

}

.btn01:hover{
	background-color: var(--clr-background);
	color: var(--clr-vermelho);
}

/* VANTAGENS */

.section_vantagens{
	background-color: var(--clr-f9f9f9);

	h2,
	strong{
		color: var(--clr-destaque);
	}
}

/* SOLUCOES */
.section_solucoes{
	h2,
	strong{
		color: var(--clr-destaque);
	}
}

.solucoesBox {
	background-color: var(--clr-destaque);
	margin: 1rem;
	padding: 0;
	color: var(--clr-branco);
	
	display: flex;
	flex-direction: column;
	justify-content: space-between;

	a {
		background-color: var(--clr-vermelho);
		color: var(--clr-branco);
		padding: 0.3rem 1rem;
	}
	
	a:hover{
	    background-color: var(--clr-branco);
		color: var(--clr-vermelho);
	}
	
	.card-footer{
		background-color: var(--clr-destaque);
	}
	
	.solucoesBox-content{
	    padding: 1rem;
	    
	    h3{
	        font-size: 18pt;
	        font-weight: 600;
	    }
	}
}

/* PARCEIROS */
.section_parceiros {
	background-color: var(--clr-f9f9f9);

	h2,
	strong {
		color: var(--clr-destaque);
	}
}

/* CTA */
.section_cta{
	background-image: url(../img/background-cta.webp);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	width: auto;
	height: 60vh;

	color: var(--clr-branco);

	h4{
		font-size: 28px;
	}
	a{
		color: var(--clr-branco);
		border: 1px solid var(--clr-branco);
		padding: 5px 10px;
	}
}

@media (max-width: 690px){
	.section_cta{
		h4{
		font-size: small;
		}
	}

	a{
		font-size: small;
		padding: 2.5px 5px;
	}
	
}

.btn03:hover{
	background-color: var(--clr-background);
	color: var(--clr-vermelho);
}

/* paginas GERAL*/

.descricao{
	h4{
		color: var(--clr-destaque);
	}
}

/* pg QUEM SOMOS */

/*DESCRICAO*/
.quemsomos_descricao{
	padding: 0px 80px;
	text-align: justify;
}

/*NUMEROS*/
.quemsomos_numeros{
	background-color: var(--clr-f9f9f9);

	h2{
		color: var(--clr-destaque);

		strong{
			color: var(--clr-destaque);
		}
	}

	@media (max-width: 480px) {

		.numeros_card{
			text-align: center;
		}
		
	}
}

.numeros_titulo{
	font-size: 60px;
	font-weight: 600;
	color: var(--clr-vermelho);
	margin-bottom: 0;
	padding: 0;
}

.numeros_subtitulo{
	font-size: 20px;
	font-weight: 500;
	color: var(--clr-vermelho);
	margin-bottom: 0;
}

/*CTA*/
.quemsomos_cta{
	background-color: var(--clr-vermelho);

	h2
	{
		margin-bottom: 20px;
		color: var(--clr-branco);

		strong{
			color: var(--clr-branco);
		}
	}

	a{
		color: var(--clr-branco);
		border: 1px solid var(--clr-branco);
		padding: 5px 10px;
	}

}

@media(max-width: 990px){

	.quemsomos_cta{
		h2{
			font-size: medium;
		}

		a{
			font-size:small;
		}
	}
	
}

@media(max-width: 690px){

	.quemsomos_cta_titulo{
		text-align: center;
		
		a{
			font-size: x-small;
		}
	}

	h2{
		padding-top: 20px;
	}
	
	
}



/* pg TRANSPORTE */

.transporte_descricao{
	h4{
		color: var(--clr-destaque);
	}
}
.card_descricao{
	background-color: #e9e9e9;

	h4{
		color: var(--clr-vermelho);
	}

}

/* pg LOGISTICA */

.logistica_menu{
	h4{
		color: var(--clr-vermelho);
	}

	.logistica_card{
		background-color: #e9e9e9;
		color: var(--clr-destaque);
		align-items: center;
	}
}

/* pg DISTRIBUIÇÃO */

.distribuicao{
	h1{
		color: var(--clr-branco);
	}
}

/* pg FALE CONOSCO */

.faleconosco{

	.faleconosco_descricao{
		font-size: 22px;
	}

	h1{
		color: var(--clr-vermelho);
		font-weight: 600;
		padding-bottom: 10px;
	}

	p{
		color: var(--clr-destaque);
	}

	form{
		color: var(--clr-preto);
		background-color: #f5f5f5;
		box-shadow: rgba(255, 255, 255, 0.2) 0px 0px 0px 1px inset, rgba(0, 0, 0, 0.9) 0px 0px 0px 1px;
		padding: 40px;

		.form-control{
			background-color: #d9d9d9;
			border: 1px solid var(--clr-texto);
		}

		.form-control:focus, .form-select:focus{
			border-color: var(--clr-destaque);
			outline: 0;
			box-shadow: 0 0 0 .25rem #99979773;
		}

		.btn{
			background-color: var(--clr-vermelho);
			color: var(--clr-branco);
		}
	}

	@media (max-width: 480px){

		.faleconosco_descricao{
			font-size: 18px;
		}

		.formulario_contato{

			form{
				padding: 20px;
				font-size: 14px;
			}
			
		}

	}
}

/* pg FAÇA PARTE */
 .facaparte{
	background-color: var(--clr-texto);
	color: var(--clr-branco);
	font-size: 21px;

	h1{
		font-weight: 600;
		padding-bottom: 10px;
	}

	form{
		color: var(--clr-preto);
		background-color: #f5f5f5;
		box-shadow: rgba(255, 255, 255, 0.2) 0px 0px 0px 1px inset, rgba(0, 0, 0, 0.9) 0px 0px 0px 1px;
		padding: 40px;
		font-size: 16px;

		.form-control{
			background-color: #d9d9d9;
			border: 1px solid var(--clr-texto);
		}

		.form-control:focus, .form-select:focus{
			border-color: var(--clr-destaque);
			outline: 0;
			box-shadow: 0 0 0 .25rem #99979773;
		}

		.btn{
			background-color: var(--clr-vermelho);
			color: var(--clr-branco);
		}
	}

	@media (max-width: 480px){

		.facaparte_descricao{
			font-size: 18px;
		}

		.formulario_facaparte{

			form{
				padding: 20px;
				font-size: 14px;
				
				.form-control{
					height: 50%;
				}
			}
			
		}

	}
 }

 

 /* pg ORÇAMENTO */

 .orcamento{
	background-color: var(--clr-destaque);
	color: var(--clr-branco);
	font-size: 21px;

	h1{
		font-weight: 600;
		padding-bottom: 10px;
	}

	form{
		color: var(--clr-preto);
		background-color: #f5f5f5;
		box-shadow: rgba(255, 255, 255, 0.2) 0px 0px 0px 1px inset, rgba(0, 0, 0, 0.9) 0px 0px 0px 1px;
		padding: 40px;
		font-size: 16px;

		.form-control{
			background-color: #d9d9d9;
			border: 1px solid var(--clr-texto);
		}

		.btn{
			background-color: var(--clr-vermelho);
			color: var(--clr-branco);
		}

		.form-control:focus, .form-select:focus{
			border-color: var(--clr-destaque);
			outline: 0;
			box-shadow: 0 0 0 .25rem #99979773;
		}

		option:hover{
			background-color: #7a101098;
			color: var(--clr-branco);
		}
	}

	@media (max-width: 480px){

		.orcamento_descricao{
			font-size: 18px;
		}

		.formulario_orcamento{

			form{
				padding: 20px;
				font-size: 14px;
				
				.form-control{
					height: 50%;
				}
			}
			
		}

	}
 }


/* NOTIFICAÇÕES FORMULÁRIOS */
.notificacao {
	width: 100%;
	text-align: center;
	margin: 30px auto;
	padding: 10px;
	font-size: small;
}
.notificacao .sucesso {
	background-color: #8ab72d;
	color: #000000;
	padding: 0.3rem;
	display: none;
}
.notificacao .falha {
	background-color: #b20000;
	padding: 0.3rem;
	color: #FFFFFF;
	display: none;
}



